Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class ActionUnreadyReason

    java.lang.Object
      ix.ip2.ActionUnreadyReason

Direct Known Subclasses:
  SimpleUnreadyReason, UnboundVariablesUnreadyReason, UnsatisfiedConditionsUnreadyReason

    public abstract class ActionUnreadyReason

extends java.lang.Object

An explanation of why a `HandlerAction` is not ready to be used.

See Also:
  `HandlerAction.isReady()`, `HandlerAction.getUnreadyReason()`

Field Summary
`protected HandlerAction` | `action`

Constructor Summary
`ActionUnreadyReason(HandlerAction action)` Creates an unready reason for the indicated action.

Method Summary
`HandlerAction` | `getAction()` Returns the handler-action given when this reason was created.
`abstract java.lang.String[]` | `getExplanation()` Returns an explanation in natural language, suitable for presenting to a user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### action

    protected HandlerAction action

Constructor Detail

### ActionUnreadyReason

    public ActionUnreadyReason(HandlerAction action)

  Creates an unready reason for the indicated action.

Method Detail

### getAction

    public HandlerAction getAction()

  Returns the handler-action given when this reason was created. Naturally, that should be the action whose unready status is being explained by this ActionUnreadyReason.

### getExplanation

    public abstract java.lang.String[] getExplanation()

  Returns an explanation in natural language, suitable for presenting to a user. Successive elements of the returned array are treated as successive lines of the explanation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD